Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001060Core InformRelationspublic2012-12-30 09:012014-05-07 07:33
Reporterzarf 
Assigned Tograham 
PrioritynormalSeveritymildReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0001060: "greater than" and "less than" in object descriptions behave wrong
Description(I am putting this in "Relations", but it does *not* involve the numerically-greater-than and numerically-less-than relations. This is about object descriptions.)

In the code below, the first two cases compile correctly, but the last two do not. If we look down in the guts, *both* the "greater than" and "less than" cases generate functions with a "Card>=2" test. (E.g., both of them are acting like greater-than-or-equal-to.)

Minimal Source Text To Reproduce
The Kitchen is a room. "Kitcheny."

The Closet is a room.

The apple is in the Closet.
The pear is in the Closet.

When play begins:
	if there are more than 2 things in the Closet:                                                                       
		
say "More than.";
	if there are fewer than 2 things in the Closet:                                                                       
		
say "Fewer than.";
	if there are greater than 2 things in the Closet:                                                                       
		
say "Greater than.";
	if there are less than 2 things in the Closet:                                                                       
		
say "Less than.";

[The first two cases correctly print nothing. The last two incorrectly print "greater than" 
and "less than".]
Tagswrongcategory
Effect(serious/mild) Game compiles but misbehaves
Attached Files

- Relationships

-  Notes
(0001946)
zarf (developer)
2012-12-30 09:04

Probably not related to bug 583 ("Instead of jumping for fewer than 4 turns...") but I note it just in case.
(0001961)
zarf (developer)
2013-01-23 19:30

Tagging "wrongcategory" -- it's about object descriptions.

- Issue History
Date Modified Username Field Change
2012-12-30 09:01 zarf New Issue
2012-12-30 09:04 zarf Note Added: 0001946
2012-12-30 15:16 EmacsUser Status new => confirmed
2013-01-23 19:30 zarf Note Added: 0001961
2013-01-23 19:30 zarf Tag Attached: wrongcategory
2014-03-15 17:00 graham Status confirmed => resolved
2014-03-15 17:00 graham Resolution open => fixed
2014-03-15 17:00 graham Assigned To => graham
2014-05-07 07:32 jmcgrew Fixed in Version => 6L02
2014-05-07 07:33 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker